"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = __importDefault(require("fs"));
var path_1 = __importDefault(require("path"));
var jmap_histo_parse_1 = require("../jmap-histo-parse");
test('jmap-histo-output-01.txt', function () {
    var jmap = fs_1.default.readFileSync(path_1.default.resolve(__dirname, 'jmap-histo-output-01.txt'), 'utf-8');
    var result = jmap_histo_parse_1.parseJmapHisto(jmap);
    expect(result.objects.length).toBe(72);
    expect(result.objects[0].instances).toBe(1235423);
    expect(result.objects[0].bytes).toBe(211959088);
    expect(result.objects[0].className).toBe('[B (java.base@11.0.4)');
    expect(result.objects[1].instances).toBe(124504);
    expect(result.objects[1].bytes).toBe(118347576);
    expect(result.objects[1].className).toBe('[Ljava.util.concurrent.ConcurrentHashMap$Node; (java.base@11.0.4)');
});
test('alternate header', function () {
    jmap_histo_parse_1.parseJmapHisto('num     #instances         #bytes  class name');
});
test('JAVA_TOOL_OPTIONS', function () {
    var stderr = 'Picked up JAVA_TOOL_OPTIONS: -Dfile.encoding=UTF-8\n' +
        'Picked up _JAVA_OPTIONS: -Djava.net.preferIPv4Stack=true\n';
    var jmap = fs_1.default.readFileSync(path_1.default.resolve(__dirname, 'jmap-histo-output-01.txt'), 'utf-8');
    jmap_histo_parse_1.parseJmapHisto(jmap, stderr);
});
//# sourceMappingURL=jmap-histo-parse.test.js.map