"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = __importDefault(require("fs"));
var path_1 = __importDefault(require("path"));
var jps_parse_1 = require("../jps-parse");
test('jps-output-01.txt', function () {
    var jps = fs_1.default.readFileSync(path_1.default.resolve(__dirname, 'jps-output-01.txt'), 'utf-8');
    var result = jps_parse_1.parseJps(jps);
    expect(result.processes.length).toBe(3);
    var process0 = result.processes[0];
    expect(process0.pid).toBe(7632);
    expect(process0.name).toBe('Jps');
    var process1 = result.processes[1];
    expect(process1.pid).toBe(1715);
    expect(process1.name).toBe('RemoteMavenServer36');
    var process2 = result.processes[2];
    expect(process2.pid).toBe(1572);
    expect(process2.name).toBe('Main');
});
test('jps-output-02.txt', function () {
    var jps = fs_1.default.readFileSync(path_1.default.resolve(__dirname, 'jps-output-02.txt'), 'utf-8');
    var result = jps_parse_1.parseJps(jps);
    expect(result.processes.length).toBe(3);
    var process0 = result.processes[0];
    expect(process0.pid).toBe(1888);
    expect(process0.name).toBe('Main');
    expect(process0.className).toBe('com.intellij.idea.Main');
    var process1 = result.processes[1];
    expect(process1.pid).toBe(2014);
    expect(process1.name).toBe('RemoteMavenServer36');
    expect(process1.className).toBe('org.jetbrains.idea.maven.server.RemoteMavenServer36');
    expect(process1.args).toStrictEqual([
        '-Djava.awt.headless=true',
        '-Dmaven.defaultProjectBuilder.disableGlobalModelCache=true',
        '-Xmx768m',
        '-Didea.maven.embedder.version=3.6.1',
        '-Dmaven.ext.class.path=/opt/intellij-idea-ultimate-edition/plugins/maven/lib/maven-event-listener.jar',
        '-Dfile.encoding=UTF-8',
    ]);
    var process2 = result.processes[2];
    expect(process2.pid).toBe(3071);
    expect(process2.name).toBe('Jps');
    expect(process2.className).toBe('jdk.jcmd/sun.tools.jps.Jps');
});
test('JAVA_TOOL_OPTIONS', function () {
    var stderr = 'Picked up JAVA_TOOL_OPTIONS: -Dfile.encoding=UTF-8\n' +
        'Picked up _JAVA_OPTIONS: -Djava.net.preferIPv4Stack=true\n';
    var jps = fs_1.default.readFileSync(path_1.default.resolve(__dirname, 'jps-output-01.txt'), 'utf-8');
    jps_parse_1.parseJps(jps, stderr);
});
//# sourceMappingURL=jps.test.js.map