export interface JStackParseResults {
    dateTime?: Date;
    jdk?: string;
    jniGlobalRefs?: number;
    jniWeakRefs?: number;
    threads: JStackThread[];
}
export declare enum JStackThreadState {
    NEW = "NEW",
    RUNNABLE = "RUNNABLE",
    SLEEPING = "SLEEPING",
    IN_OBJECT_WAIT = "IN_OBJECT_WAIT",
    IN_OBJECT_WAIT_TIMED = "IN_OBJECT_WAIT_TIMED",
    PARKED = "PARKED",
    PARKED_TIMED = "PARKED_TIMED",
    BLOCKED_ON_MONITOR_ENTER = "BLOCKED_ON_MONITOR_ENTER",
    TERMINATED = "TERMINATED",
    TIMED_WAITING = "TIMED_WAITING",
    WAITING = "WAITING",
    UNKNOWN = "UNKNOWN"
}
export interface JStackThread {
    name: string;
    daemon: boolean;
    javaThreadId?: number;
    osPriority?: number;
    priority?: number;
    cpuTimeMillis?: number;
    elapsedTimeMillis?: number;
    tid?: string;
    nid?: number;
    stackMemoryRegion?: string;
    info?: string;
    state?: JStackThreadState;
    stackItems: JStackStackItem[];
}
export interface JStackStackItem {
    line: string;
}
export declare function parseJStack(output: string, stderr?: string): JStackParseResults;
//# sourceMappingURL=jstack-parse.d.ts.map